%
% Generating subspaces
%
% This script show the results obtained in the script:
% "exp_subspaces.m"
%
%

clear all
close all

output_folder = './exp_assumptions/subspaces/';

load([output_folder 'subspaces'])

for ind_p = 1:length(POINTS)
    
    
    figure,plot(dat(1,:),dat(2,:),'.','markersize',0.1), axis square, axis equal
    plot_axes(RES(POINTS(ind_p)).init_param,3,1)
    hold on
    for nn=1:size(PC,2)
        eje = RES(nn).init_param.eucl_PCs(2).eje;
        plotea_eje(eje,'k-',1)
    end
    title(['Generated subspaces, starting point: ' num2str(ind_p)]) 
end

tile
